#===============================================================================
# Ttulo: Inferncia Estatstica - teste de mdia (t de Student)
# Autor : Ivan B. Allaman & Jos Cludio Faria/UESC/DCET
# Data  : 10/12/2021 19:31:40
#===============================================================================

#. Considerando varincia desconhecida

#.. Amostra
fert <- c(9, 12, 11, 10, 11, 9, 11, 12, 9, 10)

#.. Estimativas obtidas na amostra
(xbarra <- mean(fert))
(s <- sd(fert))
(n <- length(fert))

#.. Mdia de referncia
mu <- 10

#.. Teste
(tcalc <- (xbarra - mu) / s/sqrt(n))

qt(5/100,
   9,
   lower=F)

pvalue_1s <- pt(tcalc,
                n-1,
                lower.tail=F)*2

alpha_1s <- 10/100

if(pvalue_1s < alpha_1s){
 'Rejeita-se H0'
} else {
 'No rejeita-se H0'
}

# Ou
teste <- t.test(fert,
                mu=10,
                conf.level=90/100)
teste

if(teste$p.value < alpha_1s){
 'Rejeita-se H0'
} else {
 'No rejeita-se H0'
}
